Subject: Re: linux-next: manual merge of the akpm-current tree with the vhost tree

From: "Michael S. Tsirkin" <[email-masked]>
Date: Tue, 7 Apr 2020 05:54:49 -0400

On Tue, Apr 07, 2020 at 01:25:21PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> On Mon, 30 Mar 2020 19:31:37 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > Today's linux-next merge of the akpm-current tree got a conflict in:
> > 
> >   drivers/virtio/virtio_balloon.c
> > 
> > between commit:
> > 
> >   5a6b4cc5b7a1 ("virtio-balloon: Switch back to OOM handler for VIRTIO_BALLOON_F_DEFLATE_ON_OOM")
> > 
> > from the vhost tree and commits:
> > 
> >   5193acb63eef ("virtio-balloon: pull page poisoning config out of free page hinting")o
> >   226d0484a676 ("virtio-balloon: add support for providing free page reports to host")
> >   49006aae9e94 ("virtio-balloon: switch back to OOM handler for VIRTIO_BALLOON_F_DEFLATE_ON_OOM")
> > 
> > from the akpm-current tree.
> > 
> > OK, this is such a mess that all I could do was to revert commit
> > 5a6b4cc5b7a1 from the vhost tree and keep all the akpm-current tree
> > patches. Please sort this out before Linus gets to see it.
> 
> I am still reverting that commit ...

Oh. Thanks for reminding me. And I sent a pull with this :(
Sorry.  I pushed the revert now and sent PULL request v2.
Hope I did it in time ...

> -- 
> Cheers,
> Stephen Rothwell